/**
  ******************************************************************************
  * @file    main.c
  * @author  SK
  * @version V1.0
  * @date    29-October-2015
  * @brief   Main.c - SpeedLimiter
  ******************************************************************************
*/

#include "SystemInit.h"			//Konfiguracja systemu

extern volatile TTim SysTimer; //SystemInit.c

int main(void)
{
	RCC_Config();
	GPIO_Config();
	RS485_Configuration(9600, USART_Parity_Even);

	if( SysTick_Config_Mod(SysTick_CLKSource_HCLK_Div8, 90000ul) ) while(1);	// W razie bledu petla nieskonczona | Tick co 10ms STR.120
	GPIO_WriteBit( LED_GPIO, ERR_LED, 1);	//Wygaszenie diody ERROR

	for(;;)
	{
		if(!SysTimer.SoftTimer[0])	//100ms
		{
			SysTimer.SoftTimer[0]=10;
			GPIO_WriteBit( LED_GPIO, LIVE_LED, (BitAction)(1-GPIO_ReadOutputDataBit(LED_GPIO, LIVE_LED)) );	// XOR LIVE LED
		}

		if(!SysTimer.SoftTimer[1])	//500ms
		{
			SysTimer.SoftTimer[1]=50;
			SendMode(TRUE);
//			USART_SendData(USART1, 'X');	//Dziaa ale to jest wyslanie bez obsugi przerwania
//			USART_SendChar(USART1, 'X');	//nie dziaa
//			USART_Puts( USART1, "485 test!\n" );
		}
	}
	return 0;
}
